%define group System/Configuration/Boot and Init
%define version 0.30

Name: drakfloppy
Version: %{version}
Release: 4mdk
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}
Source2: %{name}16.xpm.bz2
Source3: %{name}32.xpm.bz2
Source4: %{name}48.xpm.bz2

Copyright: GPL
BuildRoot: /var/tmp/%{name}-%{version}

Summary: Graphical front end of mkbootdisk.
Prereq: /sbin/mkbootdisk gtk+
Requires: kdesu
Group: %{group}
%description
Graphical front end of mkbootdisk. You can make standard boot disk, and add specific modules.

%changelog
* Wed May 10 2000 dam's <damien@mandrakesoft.com> 0.30-4mdk
- Updated translation files.

* Thu May 04 2000 dam's <damien@mandrakesoft.com> 0.30-3mdk
- Corrected label and kernel version check.
- Added Prereq.

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 0.30-2mdk
- corrected icons.

* Wed Apr 19 2000 dam's <damien@mandrakesoft.com> 0.30-1mdk
- Changing name from drakbootdisk to drakfloppy.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 0.20-4mdk
- Output text implemented.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 0.20-3mdk
- Converted icon .gif in .xpm.
- Trying to implement output text.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 0.20-2mdk
- Corrected description/Summary.

* Fri Apr 17 2000 dam's <damien@mandrakesoft.com> 0.20-1mdk
- First release.

%prep
%setup -n %{name}-%{version}

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1}
make version=%{version} prefix=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT/usr/man/man1 install
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/usr/lib/menu/
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons/mini
bzcat %SOURCE2 > $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons
bzcat %SOURCE3 > $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons/large
bzcat %SOURCE4 > $RPM_BUILD_ROOT/usr/share/icons/large/%{name}.xpm

%post
if [ -x /usr/bin/update-menus ]; then
	/usr/bin/update-menus
fi

%postun
if [ "$1" = 0 ]; then
	if [ -x /usr/bin/update-menus ]; then
		/usr/bin/update-menus
	fi
fi  

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/$RPM_PACKAGE_NAME

%files
%defattr(-,root,root)
/usr/X11R6/bin/*
/usr/share/locale/*/LC_MESSAGES/drakfloppy.mo
/usr/man/man1/drakfloppy.1*
/usr/lib/menu/*
/usr/share/icons/large/*
/usr/share/icons/mini/*
/usr/share/icons/%{name}.xpm
